Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.serialize
Class ElementState

    java.lang.Object
      org.jasig.portal.serialize.ElementState

    public class ElementState

extends java.lang.Object

Holds the state of the currently serialized element.

Version:
  $Revision: 1.1 $ $Date: 2001/11/10 01:18:41 $
Author:
  Assaf Arkin
See Also:
  `BaseMarkupSerializer`

Field Summary
`(package private) boolean` | `afterComment` True if the last serialized node was a comment node.
`(package private) boolean` | `afterElement` True if the last serialized node was an element node.
`(package private) boolean` | `doCData` True if textual content of current element should be serialized as CDATA section.
`(package private) boolean` | `empty` True if element is empty.
`(package private) boolean` | `inCData` True while inside CData and printing text as CData.
`(package private) java.lang.String` | `localName` The element's local tag name.
`(package private) java.lang.String` | `namespaceURI` The element's namespace URI.
`(package private) java.util.Hashtable` | `prefixes` Association between namespace URIs (keys) and prefixes (values).
`(package private) boolean` | `preserveSpace` True if element is space preserving.
`(package private) java.lang.String` | `rawName` The element's raw tag name (local or prefix:local).
`(package private) boolean` | `unescaped` True if textual content of current element should be serialized as raw characters (unescaped).

Constructor Summary
`ElementState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawName

    java.lang.String rawName

  The element's raw tag name (local or prefix:local).

### localName

    java.lang.String localName

  The element's local tag name.

### namespaceURI

    java.lang.String namespaceURI

  The element's namespace URI.

### preserveSpace

    boolean preserveSpace

  True if element is space preserving.

### empty

    boolean empty

  True if element is empty. Turns false immediately after serializing the first contents of the element.

### afterElement

    boolean afterElement

  True if the last serialized node was an element node.

### afterComment

    boolean afterComment

  True if the last serialized node was a comment node.

### doCData

    boolean doCData

  True if textual content of current element should be serialized as CDATA section.

### unescaped

    boolean unescaped

  True if textual content of current element should be serialized as raw characters (unescaped).

### inCData

    boolean inCData

  True while inside CData and printing text as CData.

### prefixes

    java.util.Hashtable prefixes

  Association between namespace URIs (keys) and prefixes (values).

Constructor Detail

### ElementState

    public ElementState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD